package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.TdTmpl;
import com.brilliance.isc.vo.manager.TdTmplVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TdTmplMapper {

    int insert(TdTmpl record);

    int insertSelective(TdTmpl record);

    int updateByPrimaryKeySelective(TdTmpl record);

    int updateByPrimaryKey(TdTmpl record);

    int deleteByPrimaryKey(TdTmpl record);

    TdTmpl selectByPrimaryKey(TdTmpl record);

    List<TdTmpl> listFuzzyByRecord(TdTmplVo record);

    List<TdTmpl> listByNam(TdTmpl record);

    List<TdTmpl> listByTypAndTrn(TdTmpl record);

}